## runc 1.1.15+ds1

=== debian/changelog ===
runc (1.1.15+ds1-2) unstable; urgency=medium

  * Team upload.

  [ zhangdandan <zhangdandan@loongson.cn> ]
  * Fix loongarch64 support (Closes: #1095452)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 08 Feb 2025 17:15:23 +0100

runc (1.1.15+ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.1.15 (Closes: #1078220)
    + CVE-2024-45310: creating empty files or directories in arbitrary
      locations in the host filesystem (Closes: #1082865)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 04 Nov 2024 10:45:12 +0100

runc (1.1.12+ds1-5.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ chenguoqi <chenguoqi@loongson.cn> ]
  * d/p/0013-loong64-support.patch
    - add patch to support loongarch64 (Closes: #1069166)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 08 Oct 2024 11:08:22 +0200

runc (1.1.12+ds1-5) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 17 Aug 2024 07:19:43 -0400

runc (1.1.12+ds1-4) experimental; urgency=medium

  * Team upload.
  * Fix FTBFS on arm64, armel, Closes: #1070415

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 08 Aug 2024 11:01:19 -0400

runc (1.1.12+ds1-3) experimental; urgency=medium

  * Team upload.
  * Compile against go-criu v7

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 08 Aug 2024 08:18:21 -0400

=== debian/control ===
Source: runc
Section: admin
Priority: optional
Standards-Version: 4.6.2
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Alexandre Viau <aviau@debian.org>,
           Dmitry Smirnov <onlyjob@debian.org>,
           Tim Potter <tpot@hpe.com>,
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               go-md2man,
               golang-any,
               golang-dbus-dev,
               golang-github-checkpoint-restore-go-criu-dev (>= 7),
               golang-github-cilium-ebpf-dev (>= 0.6.2~),
               golang-github-containerd-console-dev,
               golang-github-coreos-go-systemd-dev (>= 22.3.2~),
               golang-github-cyphar-filepath-securejoin-dev,
               golang-github-docker-go-units-dev (>= 0.4.0~),
               golang-github-moby-sys-dev (>= 0.0~git20201113.5a29239~),
               golang-github-mrunalp-fileutils-dev (>= 0.5.1~),
               golang-github-opencontainers-selinux-dev (>= 1.8.0~),
               golang-github-opencontainers-specs-dev (>= 1.0.2.66~),
               golang-github-seccomp-libseccomp-golang-dev (>= 0.10.0~),
               golang-github-sirupsen-logrus-dev,
               golang-github-urfave-cli-dev (>= 1.22.9~),
               golang-github-vishvananda-netlink-dev,
               golang-gocapability-dev (>= 0.0+git20200815~),
               golang-golang-x-net-dev,
               golang-google-protobuf-dev,
               pkgconf,
Homepage: https://github.com/opencontainers/runc
Vcs-Git: https://salsa.debian.org/go-team/packages/runc.git
Vcs-Browser: https://salsa.debian.org/go-team/packages/runc
XS-Go-Import-Path: github.com/opencontainers/runc
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-go

Package: runc
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using},
Recommends: criu,
            ${misc:Recommends},
Description: Open Container Project - runtime
 "runc" is a command line client for running applications packaged according
 to the Open Container Format (OCF) and is a compliant implementation of
 the Open Container Project specification.

Package: golang-github-opencontainers-runc-dev
Architecture: all
Section: golang
Depends: golang-dbus-dev,
         golang-github-checkpoint-restore-go-criu-dev (>= 6),
         golang-github-cilium-ebpf-dev (>= 0.6.2~),
         golang-github-containerd-console-dev,
         golang-github-coreos-go-systemd-dev (>= 22.3.2~),
         golang-github-cyphar-filepath-securejoin-dev,
         golang-github-docker-go-units-dev (>= 0.4.0~),
         golang-github-moby-sys-dev (>= 0.0~git20201113.5a29239~),
         golang-github-mrunalp-fileutils-dev (>= 0.5.1~),
         golang-github-opencontainers-selinux-dev (>= 1.8.0~),
         golang-github-opencontainers-specs-dev (>= 1.0.2.66~),
         golang-github-seccomp-libseccomp-golang-dev (>= 0.10.0~),
         golang-github-sirupsen-logrus-dev,
         golang-github-urfave-cli-dev (>= 1.22.9~),
         golang-github-vishvananda-netlink-dev,
         golang-gocapability-dev (>= 0.0+git20200815~),
         golang-golang-x-net-dev,
         golang-google-protobuf-dev,
         ${misc:Depends},
Breaks: podman (<< 2.0.4+dfsg2-5~),
Description: Open Container Project - development files
 "runc" is a command line client for running applications packaged according
 to the Open Container Format (OCF) and is a compliant implementation of
 the Open Container Project specification.
 .
 This package provides development files formerly known as
 "github.com/docker/libcontainer".

=== debian/watch ===
version=4

opts="uversionmangle=s/-rc/~rc/, \
  dversionmangle=auto, \
  repacksuffix=+ds1" \
https://github.com/opencontainers/runc/tags \
(?:.*?/)v?@ANY_VERSION@\.tar\.gz

## runc 1.3.0+ds1

=== Makefile ===
SHELL = /bin/bash

CONTAINER_ENGINE := docker
GO ?= go

PREFIX ?= /usr/local
BINDIR := $(PREFIX)/sbin
MANDIR := $(PREFIX)/share/man

GIT_BRANCH := $(shell git rev-parse --abbrev-ref HEAD 2>/dev/null)
GIT_BRANCH_CLEAN := $(shell echo $(GIT_BRANCH) | sed -e "s/[^[:alnum:]]/-/g")
RUNC_IMAGE := runc_dev$(if $(GIT_BRANCH_CLEAN),:$(GIT_BRANCH_CLEAN))
PROJECT := github.com/opencontainers/runc
EXTRA_BUILDTAGS :=
BUILDTAGS := seccomp urfave_cli_no_docs
BUILDTAGS += $(EXTRA_BUILDTAGS)

COMMIT := $(shell git describe --dirty --long --always)
EXTRA_VERSION :=
LDFLAGS_COMMON := -X main.gitCommit=$(COMMIT) \
		  $(if $(strip $(EXTRA_VERSION)),-X main.extraVersion=$(EXTRA_VERSION),)

GOARCH := $(shell $(GO) env GOARCH)

# -trimpath may be required on some platforms to create reproducible builds
# on the other hand, it does strip out build information, like -ldflags, which
# some tools use to infer the version, in the absence of go information,
# which happens when you use `go build`.
# This enables someone to override by doing `make runc TRIMPATH= ` etc.
TRIMPATH := -trimpath

GO_BUILDMODE :=
# Enable dynamic PIE executables on supported platforms.
ifneq (,$(filter $(GOARCH),386 amd64 arm arm64 ppc64le riscv64 s390x))
	ifeq (,$(findstring -race,$(EXTRA_FLAGS)))
		GO_BUILDMODE := "-buildmode=pie"
	endif
endif
GO_BUILD := $(GO) build $(TRIMPATH) $(GO_BUILDMODE) \
	$(EXTRA_FLAGS) -tags "$(BUILDTAGS)" \
	-ldflags "$(LDFLAGS_COMMON) $(EXTRA_LDFLAGS)"

GO_BUILDMODE_STATIC :=
LDFLAGS_STATIC := -extldflags -static
# Enable static PIE executables on supported platforms.
# This (among the other things) requires libc support (rcrt1.o), which seems
# to be available only for arm64 and amd64 (Debian Bullseye).
ifneq (,$(filter $(GOARCH),arm64 amd64))
	ifeq (,$(findstring -race,$(EXTRA_FLAGS)))
		GO_BUILDMODE_STATIC := -buildmode=pie
		LDFLAGS_STATIC := -linkmode external -extldflags -static-pie
	endif
endif
# Enable static PIE binaries on supported platforms.
GO_BUILD_STATIC := $(GO) build $(TRIMPATH) $(GO_BUILDMODE_STATIC) \
	$(EXTRA_FLAGS) -tags "$(BUILDTAGS) netgo osusergo" \
	-ldflags "$(LDFLAGS_COMMON) $(LDFLAGS_STATIC) $(EXTRA_LDFLAGS)"

GPG_KEYID ?= asarai@suse.de

# Some targets need cgo, which is disabled by default when cross compiling.
# Enable cgo explicitly for those.
# Both runc and libcontainer/integration need libcontainer/nsenter.
runc static localunittest: export CGO_ENABLED=1
# seccompagent needs libseccomp (when seccomp build tag is set).
ifneq (,$(filter $(BUILDTAGS),seccomp))
seccompagent: export CGO_ENABLED=1
endif

.DEFAULT: runc

.PHONY: runc
runc: runc-bin

.PHONY: runc-bin
runc-bin:
	$(GO_BUILD) -o runc .

.PHONY: all
all: runc memfd-bind

.PHONY: memfd-bind
memfd-bind:
	$(GO_BUILD) -o contrib/cmd/$@/$@ ./contrib/cmd/$@

TESTBINDIR := tests/cmd/_bin
$(TESTBINDIR):
	mkdir $(TESTBINDIR)

TESTBINS := recvtty sd-helper seccompagent fs-idmap pidfd-kill remap-rootfs
.PHONY: test-binaries $(TESTBINS)
test-binaries: $(TESTBINS)
$(TESTBINS): $(TESTBINDIR)
	$(GO_BUILD) -o $(TESTBINDIR) ./tests/cmd/$@

.PHONY: clean
clean:
	rm -f runc runc-*
	rm -f contrib/cmd/memfd-bind/memfd-bind
	rm -fr $(TESTBINDIR)
	sudo rm -rf release
	rm -rf man/man8

.PHONY: static
static: static-bin

.PHONY: static-bin
static-bin:
	$(GO_BUILD_STATIC) -o runc .

.PHONY: releaseall
releaseall: RELEASE_ARGS := "-a 386 -a amd64 -a arm64 -a armel -a armhf -a ppc64le -a riscv64 -a s390x"
releaseall: release

.PHONY: release
release: runcimage
	$(CONTAINER_ENGINE) run $(CONTAINER_ENGINE_RUN_FLAGS) \
		--rm -v $(CURDIR):/go/src/$(PROJECT) \
		-e RELEASE_ARGS=$(RELEASE_ARGS) \
		$(RUNC_IMAGE) make localrelease
	script/release_sign.sh -S $(GPG_KEYID)

.PHONY: localrelease
localrelease: verify-changelog
	script/release_build.sh $(RELEASE_ARGS)

.PHONY: dbuild
dbuild: runcimage
	$(CONTAINER_ENGINE) run $(CONTAINER_ENGINE_RUN_FLAGS) \
		--privileged --rm \
		-v $(CURDIR):/go/src/$(PROJECT) \
		$(RUNC_IMAGE) make clean runc test-binaries

.PHONY: lint
lint:
	golangci-lint run ./...

.PHONY: man
man:
	man/md2man-all.sh

.PHONY: runcimage
runcimage:
	$(CONTAINER_ENGINE) build $(CONTAINER_ENGINE_BUILD_FLAGS) -t $(RUNC_IMAGE) .

.PHONY: test
test: unittest integration rootlessintegration

.PHONY: localtest
localtest: localunittest localintegration localrootlessintegration

.PHONY: unittest
unittest: runcimage
	$(CONTAINER_ENGINE) run $(CONTAINER_ENGINE_RUN_FLAGS) \
		-t --privileged --rm \
		-v /lib/modules:/lib/modules:ro \
		-v $(CURDIR):/go/src/$(PROJECT) \
		$(RUNC_IMAGE) make localunittest TESTFLAGS="$(TESTFLAGS)"

.PHONY: localunittest
localunittest: test-binaries
	$(GO) test -timeout 3m -tags "$(BUILDTAGS)" $(TESTFLAGS) -v ./...

.PHONY: integration
integration: runcimage
	$(CONTAINER_ENGINE) run $(CONTAINER_ENGINE_RUN_FLAGS) \
		-t --privileged --rm \
		-v /lib/modules:/lib/modules:ro \
		-v $(CURDIR):/go/src/$(PROJECT) \
		$(RUNC_IMAGE) make localintegration TESTPATH="$(TESTPATH)"

.PHONY: localintegration
localintegration: runc test-binaries
	bats -t tests/integration$(TESTPATH)

.PHONY: rootlessintegration
rootlessintegration: runcimage
	$(CONTAINER_ENGINE) run $(CONTAINER_ENGINE_RUN_FLAGS) \
		-t --privileged --rm \
		-v $(CURDIR):/go/src/$(PROJECT) \
		-e ROOTLESS_TESTPATH \
		$(RUNC_IMAGE) make localrootlessintegration

.PHONY: localrootlessintegration
localrootlessintegration: runc test-binaries
	tests/rootless.sh

.PHONY: shell
shell: runcimage
	$(CONTAINER_ENGINE) run $(CONTAINER_ENGINE_RUN_FLAGS) \
		-ti --privileged --rm \
		-v $(CURDIR):/go/src/$(PROJECT) \
		$(RUNC_IMAGE) bash

.PHONY: install
install:
	install -D -m0755 runc $(DESTDIR)$(BINDIR)/runc

.PHONY: install-bash
install-bash:
	install -D -m0644 contrib/completions/bash/runc $(DESTDIR)$(PREFIX)/share/bash-completion/completions/runc

.PHONY: install-man
install-man: man
	install -d -m 755 $(DESTDIR)$(MANDIR)/man8
	install -D -m 644 man/man8/*.8 $(DESTDIR)$(MANDIR)/man8

.PHONY: cfmt
cfmt: C_SRC=$(shell git ls-files '*.c' | grep -v '^vendor/')
cfmt:
	indent -linux -l120 -il0 -ppi2 -cp1 -sar -T size_t -T jmp_buf $(C_SRC)

.PHONY: shellcheck
shellcheck:
	shellcheck tests/integration/*.bats tests/integration/*.sh \
		tests/integration/*.bash tests/*.sh \
		man/*.sh script/*
	# TODO: add shellcheck for more sh files (contrib/completions/bash/runc).

.PHONY: shfmt
shfmt:
	$(CONTAINER_ENGINE) run $(CONTAINER_ENGINE_RUN_FLAGS) \
		--rm -v $(CURDIR):/src -w /src \
		mvdan/shfmt:v3.11.0 -d -w .

.PHONY: localshfmt
localshfmt:
	shfmt -d -w .

.PHONY: vendor
vendor:
	$(GO) mod tidy
	$(GO) mod vendor
	$(GO) mod verify

.PHONY: verify-changelog
verify-changelog:
	# No space at EOL.
	! grep -n '\s$$' CHANGELOG.md
	# Period before issue/PR references.
	! grep -n '[0-9a-zA-Z][^.] (#[1-9][0-9, #]*)$$' CHANGELOG.md

.PHONY: verify-dependencies
verify-dependencies: vendor
	@test -z "$$(git status --porcelain -- go.mod go.sum vendor/)" \
		|| (echo -e "git status:\n $$(git status -- go.mod go.sum vendor/)\nerror: vendor/, go.mod and/or go.sum not up to date. Run \"make vendor\" to update"; exit 1) \
		&& echo "all vendor files are up to date."

.PHONY: validate-keyring
validate-keyring:
	script/keyring_validate.sh

=== debian/changelog ===
runc (1.3.0+ds1-4ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/control: add non default pkg.runc.with-bin Build-Profiles to runc
      binary package.
    - d/golang-github-opencontainers-runc-dev.docs: install NOTICE file to be
      compliant with the Apache 2 license
    - d/tests/control: remove integration and checkpoint autopkgtest.
      Since they depend on the runc binary package which is not provided by
      this source package by default.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 17 Oct 2025 23:19:36 +0200

runc (1.3.0+ds1-4) unstable; urgency=medium

  * Add breaks to older versions containers/{common,buildah}, podman
  * Unbreak GetDevices() when running inside incus

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 19 Sep 2025 15:01:29 -0400

runc (1.3.0+ds1-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 18 Sep 2025 06:20:45 -0400

runc (1.3.0+ds1-2) experimental; urgency=medium

  * Team upload.
  * Fix FTBFS on mips64el
  * Bump Standards-Version
  * Reviewed and silenced seveal Lintian warnings
  * Use Static-Built-Using instead of Built-Using field

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 15 Sep 2025 14:20:42 -0400

runc (1.3.0+ds1-1) experimental; urgency=medium

  * Team upload.
  * Build against golang-github-cilium-ebpf in experimental
  * Contains commit 81707abd33d2ddebcd8ceeb08dfc01bf86d8badd, Closes: #1071269
  * Contains commit 77cae9addc0c7c9ef52513b4e46b2e6485e4e469, Closes: #1076814

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 14 Sep 2025 16:31:05 -0400

runc (1.1.15+ds1-2ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/control: add non default pkg.runc.with-bin Build-Profiles to runc
      binary package.
    - d/golang-github-opencontainers-runc-dev.docs: install NOTICE file to be
      compliant with the Apache 2 license
    - d/tests/control: remove integration and checkpoint autopkgtest.
      Since they depend on the runc binary package which is not provided by
      this source package by default.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 08 Feb 2025 17:31:27 +0100

runc (1.1.15+ds1-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/control: add non default pkg.runc.with-bin Build-Profiles to runc
      binary package.
    - d/golang-github-opencontainers-runc-dev.docs: install NOTICE file to be
      compliant with the Apache 2 license
    - d/tests/control: remove integration and checkpoint autopkgtest.
      Since they depend on the runc binary package which is not provided by
      this source package by default.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 09 Nov 2024 20:17:28 +0100

runc (1.1.12+ds1-5.1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/control: add non default pkg.runc.with-bin Build-Profiles to runc
      binary package.
    - d/golang-github-opencontainers-runc-dev.docs: install NOTICE file to be
      compliant with the Apache 2 license
    - d/tests/control: remove integration and checkpoint autopkgtest.
      Since they depend on the runc binary package which is not provided by
      this source package by default.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Oct 2024 17:49:22 +0100

runc (1.1.12+ds1-5ubuntu1) oracular; urgency=medium

   * Merge with Debian unstable. Remaining changes:
    - d/control: add non default pkg.runc.with-bin Build-Profiles to runc
      binary package.
    - d/golang-github-opencontainers-runc-dev.docs: install NOTICE file to be
      compliant with the Apache 2 license
    - d/tests/control: remove integration and checkpoint autopkgtest.
      Since they depend on the runc binary package which is not provided by
      this source package by default.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 20 Aug 2024 08:33:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,25 @@
 Source: runc
 Section: admin
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Alexandre Viau <aviau@debian.org>,
            Dmitry Smirnov <onlyjob@debian.org>,
-           Tim Potter <tpot@hpe.com>,
+           Reinhard Tartler <siretart@tauware.de>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                go-md2man,
                golang-any,
                golang-dbus-dev,
                golang-github-checkpoint-restore-go-criu-dev (>= 7),
-               golang-github-cilium-ebpf-dev (>= 0.6.2~),
+               golang-github-cilium-ebpf-dev (>= 0.17~),
                golang-github-containerd-console-dev,
                golang-github-coreos-go-systemd-dev (>= 22.3.2~),
                golang-github-cyphar-filepath-securejoin-dev,
                golang-github-docker-go-units-dev (>= 0.4.0~),
                golang-github-moby-sys-dev (>= 0.0~git20201113.5a29239~),
                golang-github-mrunalp-fileutils-dev (>= 0.5.1~),
+               golang-github-opencontainers-cgroups-dev,
                golang-github-opencontainers-selinux-dev (>= 1.8.0~),
                golang-github-opencontainers-specs-dev (>= 1.0.2.66~),
                golang-github-seccomp-libseccomp-golang-dev (>= 0.10.0~),
@@ -37,10 +38,11 @@
 Testsuite: autopkgtest-pkg-go
 
 Package: runc
+Build-Profiles: <pkg.runc.with-bin>
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-Built-Using: ${misc:Built-Using},
+Static-Built-Using: ${misc:Static-Built-Using}
 Recommends: criu,
             ${misc:Recommends},
 Description: Open Container Project - runtime
@@ -53,13 +55,14 @@
 Section: golang
 Depends: golang-dbus-dev,
          golang-github-checkpoint-restore-go-criu-dev (>= 6),
-         golang-github-cilium-ebpf-dev (>= 0.6.2~),
+         golang-github-cilium-ebpf-dev (>= 0.17~),
          golang-github-containerd-console-dev,
          golang-github-coreos-go-systemd-dev (>= 22.3.2~),
          golang-github-cyphar-filepath-securejoin-dev,
          golang-github-docker-go-units-dev (>= 0.4.0~),
          golang-github-moby-sys-dev (>= 0.0~git20201113.5a29239~),
          golang-github-mrunalp-fileutils-dev (>= 0.5.1~),
+         golang-github-opencontainers-cgroups-dev,
          golang-github-opencontainers-selinux-dev (>= 1.8.0~),
          golang-github-opencontainers-specs-dev (>= 1.0.2.66~),
          golang-github-seccomp-libseccomp-golang-dev (>= 0.10.0~),
@@ -70,7 +73,9 @@
          golang-golang-x-net-dev,
          golang-google-protobuf-dev,
          ${misc:Depends},
-Breaks: podman (<< 2.0.4+dfsg2-5~),
+Breaks: golang-github-containers-common-dev (<< 0.64),
+        golang-github-containers-buildah-dev (<< 1.41),
+        podman (<< 5.6.1)
 Description: Open Container Project - development files
  "runc" is a command line client for running applications packaged according
  to the Open Container Format (OCF) and is a compliant implementation of

## runc 1.3.2%2Bds1

=== debian/changelog ===
runc (1.3.2+ds1-1ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/control: add non default pkg.runc.with-bin Build-Profiles to runc
      binary package.
    - d/golang-github-opencontainers-runc-dev.docs: install NOTICE file to be
      compliant with the Apache 2 license
    - d/tests/control: remove integration and checkpoint autopkgtest.
      Since they depend on the runc binary package which is not provided by
      this source package by default.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 03 Nov 2025 13:52:42 +0100

runc (1.3.2+ds1-1) unstable; urgency=medium

  * New upstream release, important changes:
    - Removed pre-emptive warning for runc pause/unpause as unprivileged user.
    - Improved error messages for mount flag conflicts.
    - Improved runc version output for non-make builds.
    - Container processes no longer inherit runc's CPU affinity; now based
      on cpuset cgroup and system restrictions.
    - Fixed rootfs propagation for "shared" or "unbindable" modes.
    - Closed seccomp agent connection to prevent resource leaks.
    - Improved "runc delete" and "runc stop" to handle interrupted "runc
      create" setups.
    - Prevented "runc update" from clearing intelRdt state.
    - Removed /proc/net/dev from permitted procfs overmount list.
    - Improved cgroup v1 CPU shares to v2 CPU weight conversion.
    - Fixed occasional "cgroup.freeze: no such device" error in "runc state".
    - Fixed memory limit rounding on ppc64 systems.  

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 01 Nov 2025 19:14:48 -0400

## runc 1.3.2+ds1

=== debian/control ===
--- 
+++ 
@@ -38,7 +38,6 @@
 Testsuite: autopkgtest-pkg-go
 
 Package: runc
-Build-Profiles: <pkg.runc.with-bin>
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DH_GOLANG_EXCLUDES      := libcontainer/integration contrib/cmd
export DH_GOLANG_INSTALL_EXTRA := VERSION

TAGS    := seccomp urfave_cli_no_docs
LDFLAGS := -X main.version=$(DEB_VERSION_UPSTREAM) -X main.gitCommit=$(DEB_VERSION)

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

execute_after_dh_auto_build:
	cd man && ./md2man-all.sh

override_dh_auto_build:
	dh_auto_build -- -tags "$(TAGS)" -ldflags "$(LDFLAGS)"

override_dh_auto_test:
	dh_auto_test -- -tags "$(TAGS)"

=== debian/tests/control ===
Tests: integration
Architecture: amd64 arm64 armel armhf i386
Depends: bats,
         build-essential,
         ca-certificates,
         curl,
         gawk,
         git,
         golang-any,
         jq,
         libseccomp-dev,
         pkgconf,
         runc,
Restrictions: allow-stderr, needs-root, needs-internet, isolation-container, flaky

Tests: checkpoint
Architecture: amd64 arm64 armhf
Depends: bats,
         ca-certificates,
         criu,
         curl,
         gawk,
         golang-any,
         jq,
         runc,
Restrictions: allow-stderr, needs-root, isolation-machine, flaky

## runc 1.3.3+ds1

=== debian/changelog ===
runc (1.3.3+ds1-2) unstable; urgency=medium

  * Upload to unstable
  * debian/control: Drop redundant Rules-Requires-Root

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 16 Nov 2025 11:28:16 -0500

runc (1.3.3+ds1-1) experimental; urgency=medium

  * New upstream release:
    - Fixes CVE-2025-31133, CVE-2025-52565, CVE-2025-52881,
      Closes: #1120140
  * refresh patches
  * debian/control:
    - tighten dependency on containerd/console
    - build against golang-github-cyphar-filepath-securejoin-dev 0.5
  * debian/copyright: clarify licensing terms of this package
  * Backport upstream patches:
    - libct: use manager.AddPid to add exec to cgroup

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 15 Nov 2025 18:28:40 -0500

=== debian/control ===
--- 
+++ 
@@ -13,13 +13,13 @@
                golang-dbus-dev,
                golang-github-checkpoint-restore-go-criu-dev (>= 7),
                golang-github-cilium-ebpf-dev (>= 0.17~),
-               golang-github-containerd-console-dev,
+               golang-github-containerd-console-dev (>= 1.0.5),
                golang-github-coreos-go-systemd-dev (>= 22.3.2~),
-               golang-github-cyphar-filepath-securejoin-dev,
+               golang-github-cyphar-filepath-securejoin-dev (>= 0.5.0),
                golang-github-docker-go-units-dev (>= 0.4.0~),
                golang-github-moby-sys-dev (>= 0.0~git20201113.5a29239~),
                golang-github-mrunalp-fileutils-dev (>= 0.5.1~),
-               golang-github-opencontainers-cgroups-dev,
+               golang-github-opencontainers-cgroups-dev (>> 0.0.5),
                golang-github-opencontainers-selinux-dev (>= 1.8.0~),
                golang-github-opencontainers-specs-dev (>= 1.0.2.66~),
                golang-github-seccomp-libseccomp-golang-dev (>= 0.10.0~),
@@ -30,11 +30,12 @@
                golang-golang-x-net-dev,
                golang-google-protobuf-dev,
                pkgconf,
+Build-Conflicts: golang-github-opencontainers-specs-dev (>> 1.3),
+                 golang-github-opencontainers-cgroups-dev (>> 0.6)
 Homepage: https://github.com/opencontainers/runc
 Vcs-Git: https://salsa.debian.org/go-team/packages/runc.git
 Vcs-Browser: https://salsa.debian.org/go-team/packages/runc
 XS-Go-Import-Path: github.com/opencontainers/runc
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-go
 
 Package: runc
@@ -55,13 +56,13 @@
 Depends: golang-dbus-dev,
          golang-github-checkpoint-restore-go-criu-dev (>= 6),
          golang-github-cilium-ebpf-dev (>= 0.17~),
-         golang-github-containerd-console-dev,
+         golang-github-containerd-console-dev (>= 1.0.5),
          golang-github-coreos-go-systemd-dev (>= 22.3.2~),
-         golang-github-cyphar-filepath-securejoin-dev,
+         golang-github-cyphar-filepath-securejoin-dev (>= 0.5.0),
          golang-github-docker-go-units-dev (>= 0.4.0~),
          golang-github-moby-sys-dev (>= 0.0~git20201113.5a29239~),
          golang-github-mrunalp-fileutils-dev (>= 0.5.1~),
-         golang-github-opencontainers-cgroups-dev,
+         golang-github-opencontainers-cgroups-dev (>> 0.0.5),
          golang-github-opencontainers-selinux-dev (>= 1.8.0~),
          golang-github-opencontainers-specs-dev (>= 1.0.2.66~),
          golang-github-seccomp-libseccomp-golang-dev (>= 0.10.0~),

=== debian/watch ===
Version: 5

Source: https://api.github.com/repos/opencontainers/runc/git/matching-refs/tags/v1.3
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
Download-Url-Mangle: s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g
Filename-Mangle: s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%
Dversion-Mangle: auto
Search-Mode: plain
Repack-Suffix: +ds1
